StandardTokenizerOptions.OptionsBuilder (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.analyzer

## Class StandardTokenizerOptions.OptionsBuilder

- java.lang.Object
- - org.apache.cassandra.index.sasi.analyzer.StandardTokenizerOptions.OptionsBuilder

- Enclosing class:
    StandardTokenizerOptions

      public static class StandardTokenizerOptions.OptionsBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OptionsBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StandardTokenizerOptions.OptionsBuilder` | `alwaysLowerCaseTerms(boolean allTermsToLowerCase)`
    `StandardTokenizerOptions.OptionsBuilder` | `alwaysUpperCaseTerms(boolean allTermsToUpperCase)`
    `StandardTokenizerOptions` | `build()`
    `StandardTokenizerOptions.OptionsBuilder` | `caseSensitive(boolean caseSensitive)`
    `StandardTokenizerOptions.OptionsBuilder` | `ignoreStopTerms(boolean ignoreStopTerms)`
    `StandardTokenizerOptions.OptionsBuilder` | `maxTokenLength(int maxTokenLength)` Set the max allowed token length.
    `StandardTokenizerOptions.OptionsBuilder` | `minTokenLength(int minTokenLength)` Set the min allowed token length.
    `StandardTokenizerOptions.OptionsBuilder` | `stemTerms(boolean stemTerms)`
    `StandardTokenizerOptions.OptionsBuilder` | `useLocale(java.util.Locale locale)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OptionsBuilder

          public OptionsBuilder()

  - ### Method Detail

    - #### stemTerms

          public StandardTokenizerOptions.OptionsBuilder stemTerms(boolean stemTerms)

    - #### ignoreStopTerms

          public StandardTokenizerOptions.OptionsBuilder ignoreStopTerms(boolean ignoreStopTerms)

    - #### useLocale

          public StandardTokenizerOptions.OptionsBuilder useLocale(java.util.Locale locale)

    - #### caseSensitive

          public StandardTokenizerOptions.OptionsBuilder caseSensitive(boolean caseSensitive)

    - #### alwaysUpperCaseTerms

          public StandardTokenizerOptions.OptionsBuilder alwaysUpperCaseTerms(boolean allTermsToUpperCase)

    - #### alwaysLowerCaseTerms

          public StandardTokenizerOptions.OptionsBuilder alwaysLowerCaseTerms(boolean allTermsToLowerCase)

    - #### minTokenLength

          public StandardTokenizerOptions.OptionsBuilder minTokenLength(int minTokenLength)

      Set the min allowed token length. Any token shorter than this is skipped.

    - #### maxTokenLength

          public StandardTokenizerOptions.OptionsBuilder maxTokenLength(int maxTokenLength)

      Set the max allowed token length. Any token longer than this is skipped.

    - #### build

          public StandardTokenizerOptions build()

Copyright © 2018 The Apache Software Foundation